For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Versions
      • GETDownload MSProject Xml
      • POSTRestore Project Version
      • POSTCopy Project Version
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Version

Copy Project Version

POST
https://api.projectmanager.com/api/data/projects/:projectId/version/:version/copy
POST
/api/data/projects/:projectId/version/:version/copy
$curl -X POST https://api.projectmanager.com/api/data/projects/projectId/version/1/copy \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string"
15 }
16}
Create a Copy of a Project as of a specific Version, optionally moving it to a new Timezone.
Was this page helpful?
Previous

Query Resources

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project to copy
versionintegerRequired
The version number of the Project to copy

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

timezoneOffsetintegerOptional
If specified, sets the default timezone of the newly copied Project to this specified timezone

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
This is the projectId being restored to